# class KDockTabBarPainter | The draw helper for the KDockTabBar (and member of the dockwidget class set). More...
Definition | `#include <kdocktabctl.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- QString tip ( const QPoint & p )
- QRect findBarRectByPos ( int x, int y)

#### Protected Methods

- virtual void mousePressEvent ( QMouseEvent * )
- virtual void mouseReleaseEvent ( QMouseEvent * )
- virtual void resizeEvent ( QResizeEvent * )
- virtual void paintEvent ( QPaintEvent * )

## Detailed Description

The draw helper for the KDockTabBar (and member of the dockwidget class set). Minor importance for application programmers who uses the dockwidget class set.

QString tip ( const QPoint & p ) | ### tip

QRect findBarRectByPos ( int x, int y) | ### findBarRectByPos

void mousePressEvent ( QMouseEvent * ) | ### mousePressEvent

[protected virtual]

Handles mouse press events for this widgets Reimplemented from QWidget

Reimplemented from QWidget.

void mouseReleaseEvent ( QMouseEvent * ) | ### mouseReleaseEvent

[protected virtual]

Handles mouse release events for this widgets Reimplemented from QWidget

Reimplemented from QWidget.

void resizeEvent ( QResizeEvent * ) | ### resizeEvent

[protected virtual]

Handles resize events for this widgets Reimplemented from QWidget

Reimplemented from QWidget.

void paintEvent ( QPaintEvent * ) | ### paintEvent

[protected virtual]

Handles paint events for this widgets Reimplemented from QWidget

Reimplemented from QWidget.

- Version: $Id: kdocktabctl.h,v 1.16 2001/02/13 16:24:17 falkbr Exp $
- Author: Max Judin (documentation: Falk Brettschneider).
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.